//.checkin
.checkin {
  position: relative;
  z-index: 2;

  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;

  height: auto;
  min-height: 100vh;
  margin: auto;

  color: #333;

  &__img {
    margin-top: 20px;
  }

  &__p {
    margin-top: 0;
    margin-bottom: 50px;

    font-family: $OpenSans;
    font-size: 18px;
  }

  &-section {
    display: none;

    background-image: url('../img/grid-checkin.svg'), linear-gradient(to bottom, rgb(7, 142, 184) 0%, rgb(30, 152, 184) 100%);
    background-repeat: no-repeat;
    background-size: cover;

    .course & {
      @media (max-width: 1279px) {
        display: block;
      }
    }
  }

  @media (width <= 1279PX) {
    background: none;
  }

  //.checkin-conten
  &-content {
    width: 100%;
    max-width: 800px;

    @media (width <= 768PX) {
      width: 90%;
    }
  }

  //.checkin__heading
  &__heading {
    display: block;
    padding: 60px 0;
    text-align: center;
    font-family: $OpenSans;
    font-size: 48px;
    font-weight: bold;
    width: 100%;

    @media (width < 768PX) {
      font-size: 32px;
    }
    @media (width < 600PX) {
      font-size: 30px;
      padding: 50px 0 15px;
    }

    .checkin-section & {
      color: $white;
    }
  }

  //.checkin-reg
  &-reg {
    max-width: 790px;
    width: 100%;
    margin-bottom: 60px;

    font-family: $OpenSans;
    font-size: 32px;
    line-height: 2;

    @media (orientation: portrait) and (width < 768PX) {
      font-size: 22px;
    }
    @media (width < 600PX) {
      margin: 40px;
      line-height: 1.8;
    }

    .checkin-section & {
      color: $white;
    }
  }

  //.checkin__input
  &__input {
    position: relative;

    display: inline-block;

    width: 100%;
    max-width: 370px;
    height: 40px;
    padding: 0 20px;

    text-align: center;
    vertical-align: middle;

    color: #000;
    border: 0;
    border-radius: 10px;
    outline: 0;
    background-color: $white;

    font-family: $OpenSans;
    font-size: 24px;
    border: 1px solid rgba(0, 0, 0, 0.35);

    @supports (box-shadow: 0 0 11.2px 1.8px rgba(0, 0, 0, 0.35)) {
      box-shadow: 0 0 11.2px 1.8px rgba(0, 0, 0, 0.35);
      border: none;
    }

    &.error {
      margin-bottom: 5px;

      border: 2px solid red;
    }

    &.valid {
      border: 2px solid green;
    }

    & + label {
      margin-right: 10px;
      margin-left: 10px;

      color: red;
    }

    &--offset {
      margin-right: 10px;
    }
  }

  &__select {
    position: relative;

    max-width: 100%;
    display: inline-block;

    height: 40px;
    padding: 0 20px;

    text-align: center;
    text-align-last: center;
    vertical-align: middle;

    color: $white;
    border: 0;
    border-radius: 10px;
    outline: 0;
    background-color: #1e98b8;
    box-shadow: 0 0 11.2px 1.8px rgba(0, 0, 0, 0.35);

    font-family: $OpenSans;
    font-size: 24px;

    &.error {
      margin-bottom: 5px;

      border: 2px solid red;
    }

    &.valid {
      border: 2px solid green;
    }

    & + label {
      margin-right: 10px;
      margin-left: 10px;

      color: red;
    }

    option {
      text-align: center;
    }
  }

  //.checkin__phone
  &__phone {
    width: 260px;
    padding:0 20px;

    text-align: left;

    color: #a0a0a0;

    font-family: $OpenSans;
    font-size: 24px;
  }

  //.checkin__email
  &__email {
    width: 300px;

    text-align: center;
  }

  //.checkin__button
  &__button {
    display: block;

    margin: auto;
    margin-bottom: 60px;
    padding: 20px 80px;

    cursor: pointer;
    text-align: center;

    color: $white;
    border: none;
    border-radius: 10px;
    background-color: #ff6614;
    box-shadow: 0 0 11.2px 1.8px rgba(0, 0, 0, 0.35);

    font-size: 24px;
    font-weight: bold;
  }

  &__text {
    width: 90%;
    margin: 0 auto;
    margin-bottom: 60px;

    color: rgb(124, 124, 124);

    font-size: 16px;
    line-height: 1.2;

    .checkin-section & {
      color: $white;
    }
  }
}

.form__btn {
  margin-bottom: 20px;

  @media (width <= 768PX) {
    display: block;
    width: 100%;
  }

  .btn {
    white-space: nowrap;
  }
}
